8258445: Move make/templates to make/data

Reviewed-by: erikj
This commit is contained in:
Magnus Ihse Bursie 2021-01-11 07:42:10 +00:00
parent d21a0ea1ff
commit bd34418429
4 changed files with 5 additions and 5 deletions

View File

@ -1,6 +1,6 @@
#! /bin/sh -f
#
# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
# Copyright (c) 2012, 2020, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
@ -26,7 +26,7 @@
# This script checks a copyright notice.
#
# The script should be located in the main jdk repository under make/scripts.
# It works with the templates in the make/templates directory of the jdk source.
# It works with the templates in the make/data/license-templates directory of the jdk source.
#
# Usage: "lic_check.sh [-gpl] or [-gplcp] or [-bsd] file(s)"
@ -61,12 +61,12 @@ D=`dirname "${script_directory}"`
B=`basename "${script_directory}"`
script_dir="`cd \"${D}\" 2>/dev/null && pwd || echo \"${D}\"`/${B}"
# set up a variable for the templates directory
template_dir=${script_dir}/../templates
# set up a variable for the template directory
template_dir=${script_dir}/../data/license-templates
# Check existence of the template directory.
if [ ! -d ${template_dir} ] ; then
echo "ERROR: The templates directory "${template_dir}" doesn't exist." 1>&2
echo "ERROR: The template directory "${template_dir}" doesn't exist." 1>&2
exit 1
fi